
Redmine - Defect #17659

Problem with Sendmail and BCC 

2014-08-12 10:48 - amree woot

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

Hello

After a fresh installation, I tried to send myself a test email from the Settings. I was using sendmail as the email configuration.

However, I kept getting DSN: Service unavailable (from my /var/mail/mail.log) and no email was sent to my inbox. By the way, I can

send just find using 'sendmail' or 'mail' command directly from the terminal.

After some help and doing some testing, I realized my email object doesn't have `To` information:

#<Mail::Message:69932463820220, Multipart: true, Headers: <From: amree@email.com>, <To: >, <Cc: >,

 <Bcc: ["amree@email.com"]>, <Subject: Redmine test>, <Mime-Version: 1.0>, <Content-Type: multipar

t/alternative; boundary="--==_mimepart_53e9cc4e961bc_4e413f9a697f53bc626bb"; charset=UTF-8>, <X-Ma

iler: Redmine>, <X-Redmine-Host: localhost:3000>, <X-Redmine-Site: Redmine>, <X-Auto-Response-Supp

ress: OOF>, <Auto-Submitted: auto-generated>, <List-Id: <amree.usm.my>>>

 So, after turning Blind carbon copy recipients (bcc) setting off, I can now receive the test email. This means, I can't trun on BCC since

my email won't be sent with that setting on. I'm not sure if this is a bug or not. But I don't think it is supposed to work like that.

Some info:

# configuration.yml

production:

  email_delivery:

    delivery_method: :sendmail

 
Environment:

  Redmine version                2.5.2.stable

  Ruby version                   2.1.2-p95 (2014-05-08) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.17

  Git                            1.7.10.4

  Filesystem                     

Redmine plugins:

  redmine_scm                    0.5.0b

  redmine_slack                  0.1

History

#1 - 2014-08-12 10:50 - amree woot

Oh crap, I thought I'm in Github land, sorry about the formatting.

#2 - 2014-08-12 17:14 - Toshi MARUYAMA

- Description updated

#3 - 2014-08-12 17:24 - Toshi MARUYAMA

- Status changed from New to Closed
- Resolution set to Invalid

I don't know what MTA you use.

And it is MTA issue, not Redmine.
